#!/usr/bin/env bash

# Copyright (c) 2020 PaperCut Software International Pty. Ltd.
#
# This script is meant to run as the current logged-in user and should only
# terminate non-root processes

main() {
    killall /opt/PaperCutPrintDeployClient/v*/pc-webview
    killall /opt/PaperCutPrintDeployClient/v*/usercontextservice
    sleep 1                                 # services above may still be exiting gracefully
    pkill -9 -f pc-webview || true          # services above may still be exiting gracefully
    pkill -9 -f usercontextservice || true  # services above may still be exiting gracefully
}

main "$@"
